# Class NotificationInfo

java.lang.Object
org.apache.tomcat.util.modeler.FeatureInfo
org.apache.tomcat.util.modeler.NotificationInfo

All Implemented Interfaces:
  `Serializable`

public class NotificationInfo extends FeatureInfo

Internal configuration information for a `Notification` descriptor.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`notifTypes`
Array of notification types.
`protected final ReadWriteLock`
`notifTypesLock`
Lock for notification types access.

### Fields inherited from class FeatureInfo

`description, info, name, type`

## Constructor Summary

Constructors
Constructor
Description
`NotificationInfo()`
Constructs a new NotificationInfo.

## Method Summary

Modifier and Type
Method
Description
`void`
`addNotifType(String notifType)`
Add a new notification type to the set managed by an MBean.
`MBeanNotificationInfo`
`createNotificationInfo()`
Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.
`String[]`
`getNotifTypes()`
Returns the array of notification types for this MBean.
`void`
`setDescription(String description)`
Override the `description` property setter.
`void`
`setName(String name)`
Override the `name` property setter.
`String`
`toString()`
Return a string representation of this notification descriptor.

### Methods inherited from class FeatureInfo

`getDescription, getName, getType, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### notifTypes

protected String[] notifTypes
Array of notification types.

### notifTypesLock

protected final ReadWriteLock notifTypesLock
Lock for notification types access.

## Constructor Details

### NotificationInfo

public NotificationInfo()
Constructs a new NotificationInfo.

## Method Details

### setDescription

public void setDescription(String description)
Override the `description` property setter.

Overrides:
  `setDescription` in class `FeatureInfo`
Parameters:
  `description` - The new description

### setName

public void setName(String name)
Override the `name` property setter.

Overrides:
  `setName` in class `FeatureInfo`
Parameters:
  `name` - The new name

### getNotifTypes

public String[] getNotifTypes()
Returns the array of notification types for this MBean.

Returns:
  The array of notification types

### addNotifType

public void addNotifType(String notifType)
Add a new notification type to the set managed by an MBean.

Parameters:
  `notifType` - The new notification type

### createNotificationInfo

public MBeanNotificationInfo createNotificationInfo()
Create and return a `ModelMBeanNotificationInfo` object that corresponds to the attribute described by this instance.

Returns:
  the notification info

### toString

public String toString()
Return a string representation of this notification descriptor.

Overrides:
  `toString` in class `Object`